bm::bit_decode_cache Struct Reference

bit-decode cache structure More...

`#include <bmfunc.h>`

## Public Member Functions

| bit_decode_cache ()

## Data Fields

unsigned short | bits [65]
unsigned | bcnt
bm::id64_t | cvalue

## Detailed Description

bit-decode cache structure

Definition at line 164 of file bmfunc.h.

## Constructor & Destructor Documentation

## bit_decode_cache()

bm::bit_decode_cache::bit_decode_cache | ( |  | ) |

inline

Definition at line 170 of file bmfunc.h.

References bcnt, and cvalue.

## Field Documentation

## bcnt

unsigned bm::bit_decode_cache::bcnt

Definition at line 167 of file bmfunc.h.

Referenced by bit_decode_cache().

## bits

unsigned short bm::bit_decode_cache::bits[65]

Definition at line 166 of file bmfunc.h.

## cvalue

bm::id64_t bm::bit_decode_cache::cvalue

Definition at line 168 of file bmfunc.h.

Referenced by bit_decode_cache().

The documentation for this struct was generated from the following file:

- bmfunc.h